namespace Netina.AdminPanel.PWA.Services.RestServices;

public interface ISettingRestApi
{
    [Get("/{settingName}")]
    public Task<TSetting> GetSettingAsync<TSetting>(string settingName, [Header("Authorization")] string authorization) where TSetting : class;

    [Post("/{settingName}")]
    public Task PostSettingAsync<TSetting>(string settingName,[Body]TSetting setting , [Header("Authorization")]string authorization) where TSetting : class;
}